part of 'create_task_cubit.dart';

abstract class CreateTaskState extends Equatable {
  const CreateTaskState();

  @override
  List<Object> get props => [];
}

class CreateTaskInitial extends CreateTaskState {}

class CreateTaskLoading extends CreateTaskState {}

class CreateTaskFailure extends CreateTaskState {
  final String errorMessage;

  CreateTaskFailure(this.errorMessage);
}

class CreateTaskPrepareDataSuccessful extends CreateTaskState {
  CreateTaskPrepareDataSuccessful();
}
